#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    int8_t int8_eq_const_0_0;
    int8_t int8_eq_const_1_0;
    int8_t int8_eq_const_2_0;
    int8_t int8_eq_const_3_0;
    int8_t int8_eq_const_4_0;
    int8_t int8_eq_const_5_0;
    int8_t int8_eq_const_6_0;
    int8_t int8_eq_const_7_0;
    int8_t int8_eq_const_8_0;
    int8_t int8_eq_const_9_0;
    int8_t int8_eq_const_10_0;
    int8_t int8_eq_const_11_0;
    int8_t int8_eq_const_12_0;
    int8_t int8_eq_const_13_0;
    int8_t int8_eq_const_14_0;
    int8_t int8_eq_const_15_0;
    int8_t int8_eq_const_16_0;
    int8_t int8_eq_const_17_0;
    int8_t int8_eq_const_18_0;
    int8_t int8_eq_const_19_0;
    int8_t int8_eq_const_20_0;
    int8_t int8_eq_const_21_0;
    int8_t int8_eq_const_22_0;
    int8_t int8_eq_const_23_0;
    int8_t int8_eq_const_24_0;
    int8_t int8_eq_const_25_0;
    int8_t int8_eq_const_26_0;
    int8_t int8_eq_const_27_0;
    int8_t int8_eq_const_28_0;
    int8_t int8_eq_const_29_0;
    int8_t int8_eq_const_30_0;
    int8_t int8_eq_const_31_0;

    if (size < 32)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&int8_eq_const_0_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_1_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_2_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_3_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_4_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_5_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_6_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_7_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_8_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_9_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_10_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_11_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_12_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_13_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_14_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_15_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_16_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_17_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_18_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_19_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_20_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_21_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_22_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_23_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_24_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_25_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_26_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_27_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_28_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_29_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_30_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_31_0, &data[i], 1);
    i += 1;


    if (int8_eq_const_0_0 == 62)
    if (int8_eq_const_1_0 == -85)
    if (int8_eq_const_2_0 == 78)
    if (int8_eq_const_3_0 == -93)
    if (int8_eq_const_4_0 == -105)
    if (int8_eq_const_5_0 == -122)
    if (int8_eq_const_6_0 == 12)
    if (int8_eq_const_7_0 == -56)
    if (int8_eq_const_8_0 == 119)
    if (int8_eq_const_9_0 == 103)
    if (int8_eq_const_10_0 == -40)
    if (int8_eq_const_11_0 == -125)
    if (int8_eq_const_12_0 == 79)
    if (int8_eq_const_13_0 == 5)
    if (int8_eq_const_14_0 == 85)
    if (int8_eq_const_15_0 == 21)
    if (int8_eq_const_16_0 == 48)
    if (int8_eq_const_17_0 == 14)
    if (int8_eq_const_18_0 == -99)
    if (int8_eq_const_19_0 == 22)
    if (int8_eq_const_20_0 == 101)
    if (int8_eq_const_21_0 == 32)
    if (int8_eq_const_22_0 == -31)
    if (int8_eq_const_23_0 == 103)
    if (int8_eq_const_24_0 == 85)
    if (int8_eq_const_25_0 == -62)
    if (int8_eq_const_26_0 == 118)
    if (int8_eq_const_27_0 == -27)
    if (int8_eq_const_28_0 == 18)
    if (int8_eq_const_29_0 == -62)
    if (int8_eq_const_30_0 == 82)
    if (int8_eq_const_31_0 == 40)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
